echo off
REM This build.bat is made with base on makei.bat from Mark Jones from masm32 board.
REM This is the link: http://www.masm32.com/board/index.php?topic=5337.0
set NAME=ScanGII
set CC=c:\masm32\bin\ml.exe
set LK=c:\masm32\bin\link.exe
set RCOM=c:\masm32\bin\rc.exe
set CTRES=c:\masm32\bin\cvtres.exe
set INC=C:\masm32\include
set LIB=c:\masm32\lib
set CFLAGS=/c /coff /Cp
set SUBSYS=WINDOWS
set LFLAGS=/NOLOGO /SUBSYSTEM:%SUBSYS% /VERSION:4.0 /RELEASE /ENTRY:start /LIBPATH:%LIB%
set err=0

cls
IF not exist %name%.rc goto compile
@echo Building: %name%.res from %name%.rc
%RCOM% %NAME%.rc
echo.
IF errorlevel 1 set err=1

@echo Converting: %NAME%.res to rsrc.obj
%CTRES% /nologo /machine:IX86 %NAME%.res /out:rsrc.obj
echo.
IF errorlevel 1 set err=1

:compile
%CC% %CFLAGS% /I"%INC%" *.asm
echo.
IF errorlevel 1 set err=1

IF not exist rsrc.obj goto norsrc
@echo Linking: %name%.obj and rsrc.obj
%LK% %LFLAGS% /OUT:%NAME%.exe *.obj
echo.
IF errorlevel 1 set err=1
goto done

:norsrc
@echo Linking: %name%.obj
set SUBSYS=CONSOLE
%LK% %LFLAGS% /OUT:%NAME%.exe %NAME%.obj

:done
echo Deleting...
IF exist %NAME%.res del %NAME%.res
IF exist %NAME%.obj del %NAME%.obj
IF exist rsrc.obj del rsrc.obj
IF %err%==1 (GOTO errado) 
echo.
echo All done. Congratulations!
echo.
goto end

:errado
echo The process got an error message!

:end

@echo Universal makeit.bat v1.01 by Mark Jones 2005, modified by PauloH
pause